# HTMLElement

Source:
  - constructors/extensions/prototype.js, line 358

### Members

#### attrdata :object

Source:
  - constructors/extensions/prototype.js, line 361

object for storing custom variables

##### Type:

- object

#### attrdatastore :object

Source:
  - constructors/extensions/prototype.js, line 365

##### Type:

- object

#### methods :Object.<string, function()>

Source:
  - constructors/custom-elements.js, line 104

##### Type:

- Object.<string, function()>